:root {
    --primary-color: #fff;
    --secondary-color: #b3cde0;
    --background-color: #0c2340;
    --accent-color: #c0c0c0;
    background-attachment: fixed;
}

* {
    box-sizing: border-box;
    scroll-behavior: smooth;
    margin: 0;
    padding: 0;
}

html {
    height: 100vh;
    width: 100%;
    background-size: 150px 150px;
    background-position: 0 0, 75px 75px;
}

body {
    font-family: Arial, sans-serif;
    padding: 0;
    height: 100%;
    width: 100%;
    position: relative;
    font-family: 'Open Sans', sans-serif;
    overflow: scroll;
    overflow-x: hidden;
    background-color: var(--secondary-color) !important;
}

#sidebar {
    height: 100%;
    width: 20%;
    min-width: 200px;
    max-width: 300px;
    position: fixed;
    top: 0;
    left: 0;
    padding-top: 1%;
    background-color: var(--secondary-color);

}

#sidebar h1 {
    text-align: center;
    color: var(--background-color);
    border-color: #0c2340;
    border-width: 0 0 1px 0;
    border-style: outset;
    width: fit-content;
    margin: 0 auto;
    margin-bottom: 20px;
    padding-inline: 5px;
}


nav ul {
    list-style-type: none;
    font-size: 20px;
    padding: 10px;
}

nav li {
    padding: 10px;
    text-align: center;
    border: 1px solid #666;
    background-color: var(--background-color);
    border-radius: 5px;
    margin-bottom: 15px;
}

nav a {
    display: block;
    color: var(--primary-color);
    text-decoration: none;
}

nav li:hover{
    border: 3px solid white;
    border-radius: 5px;
    transition: ease-in-out 100ms;
}


main {
    margin-left: clamp(200px, 20%, 300px);
    width: calc(100% - clamp(200px, 20%, 300px));
    position: relative;
    text-align: center;
    height: 100%;
    background-color: var(--background-color);
    color: var(--primary-color);
    overflow: auto;
    align-items: center;
    background-image: radial-gradient(var(--secondary-color) 2px, transparent 2px), radial-gradient(var(--secondary-color) 2px, var(--background-color) 2px);
    background-size: 150px 150px;
    background-position: 0 0, 75px 75px;
    vertical-align: middle;
    padding-top: 5%;
    z-index: 3;
}

main h1 {
    font-size: 4.5rem;
    font-weight: bold;
    color: #fff;
    margin-top: 50px;
    text-align: center;
    text-transform: uppercase;
}

main h2 {
    font-size: 32px;
    font-weight: normal;
    color: #b3cde0;
    margin-top: 20px;
    margin-inline: 5rem;
}

#hero-container {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 4%;
    flex-wrap: wrap;
    gap: 30px;
}

#hero-Img {
    max-width: 350px;
    max-height: 350px;
    border: .01px solid var(--background-color);
    border-radius: 5px;
    height: auto;
    width: auto;
}




#CTA {
    background-color: var(--secondary-color);
    width: 55%;
    height: auto;
    text-align: start;
    border: 1px solid var(--secondary-color);
    color: var(--background-color);
    border-radius: 15px;
    margin-left: 15px;
    padding: 20px;
}

#CTA p {
    line-height: 2.8;
    font-size: x-large;
    font-weight: 100;
    text-indent: 100px;
    word-spacing: 5px;
}


footer {
    position: absolute;
    bottom: 0;
    width: fit-content;
    padding-inline: 5%;
    z-index: 2;
    color: var(--background-color);
    background-color: var(--accent-color);

}

footer p {
    position: relative;
}

@media screen and (max-width: 1500px) {
    #CTA {
        width: 80%;
        min-width: 309px;
    }

    #hero-container {
        flex-direction: column;
        align-items: center;
    }

    #hero-Img {
        width: 80%;
        margin-bottom: 20px;
    }

}

@media (max-width: 720px) {
    #CTA p {
        line-height: 2;
        font-size: large;
        font-weight: 300;
        text-indent: 50px;
        word-spacing: 2px;
    }

    main {
        margin-top: 5%;
    }


}

@media (max-width: 480px) {
    main {
        margin-top: 20%;
    }

    nav a {
        font-size: 1rem;
    }
}


@media (max-width: 1100px) {

    #sidebar {
        position: static;
        width: auto;
        height: 40%;
        margin: 0 auto;
        padding: 0;
        max-width: unset;
        left: unset;
        top: unset;

    }

    body {
        height: auto;
    }

    #aboutg {
        min-width: 80%
    }


    #sidebar h1 {
        padding-top: 15px;
    }

    footer {
        position: relative;
        overflow: hidden;
        bottom: 0;
        text-align: center;
        width: 100%;
        background-color: var(--secondary-color);
        padding-block: 5px;
    }


    nav ul {
        padding: 2px;
        display: flex;
        justify-content: center;
        gap: 2.5px;
    }

    nav li {
        margin-block: 5px;
        display: inline-block;
        width: 100px;
        padding: 2px;
        margin-inline: 5px;
    }

    main {
        margin-left: unset;
        width: 100%;
        position: relative;
        min-height: unset;
        overflow: visible;
        margin: 0;
        margin-top: 5px;
        padding-bottom: 5%;
        min-height: 100vh;
        margin-inline: 0;

    }

    main h1 {
        margin: 0;
        font-size: 3rem;
        margin-bottom: 15px;
    }

    main h2 {
        margin: 0;
        padding-inline: 5%;
        font-size: 1.5rem;
    }

    .gallery {
        overflow: scroll;
    }

    #hero-container {
        margin-top: 50px;
    }
}

.gallery {
    width: 80%;
    height: auto;
    margin-left: 10%;
    overflow-y: visible;
    background-color: var(--secondary-color);
    border-style: solid;
    border-width: 5px 5px 5px 5px;
    border-radius: 20px 20px 20px 20px;
    border-color: var(--background-color);
    padding-block: 0;
    margin-bottom: 10%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    overflow-x: hidden;
}


.gallery .gallery-img {
    width: 42%;
    aspect-ratio: initial;
    object-fit: cover;
    margin: 10px;
    cursor: pointer;
    flex: 1 1 25%;
    border-radius: 10px;
}

.gallery .gallery-img:hover {
    border: 8px solid var(--background-color);
}

#me {
    max-width: 100%;
    border: .01px solid var(--background-color);
    border-radius: 5px;
    cursor: initial;
}

#about p {
    color: var(--background-color);
}

#about {
    background-color: var(--secondary-color);
    min-width: 100%;
    margin-top: 0;
    padding-top: 0;
    padding-inline: 5%;
}

#aboutg {
    overflow: hidden;
    padding: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    width: 55%;
    margin: 0 auto;
    margin-top: 5%;
    text-align: center;
}

#form {
    width: 80%;
    min-height: 50%;
    margin: 0 auto;
    margin-top: 2%;
    padding-block: 2.5%;
    font-size: large;
    font-weight: 400;
    overflow-x: hidden;
}

#name {
    width: 25%;
    margin-bottom: 10px;
    margin-right: 20px;
}


textarea {
    min-width: 90%;
    min-height: 200px;
    height: 300px;
    margin-top: 5px;
    padding: 6px 12px;
}

#preview-container {
    width: 100%;
    height: 100%;
    backdrop-filter: blur(10px);
    background-color: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    cursor: pointer;
    display: none;
    position: fixed;
}

#preview-container img {
    width: auto;
    height:auto;
    max-width: 80%;
    max-height: 80%;
    border: 12px solid var(--accent-color);
    border-radius: 7px;
}

#msgLBL {
    display: block;
    margin-bottom: 5px;
}

.contact {
    display: block;
}

.contact button {
    display: block;
    margin: 0 auto;
    margin-top: 3%;
    background-color: var(--background-color);
    color: var(--primary-color);
    font-style: italic;
}

.no-scroll {
    overflow: hidden;
}